Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.runtime.manager.impl.factory
Class LocalTaskServiceFactory

    java.lang.Object
      org.jbpm.runtime.manager.impl.factory.LocalTaskServiceFactory

All Implemented Interfaces:
  org.kie.internal.runtime.manager.TaskServiceFactory

    @Veto
    public class LocalTaskServiceFactory

extends Object
implements org.kie.internal.runtime.manager.TaskServiceFactory

Regular `TaskServiceFactory` implementation that shall be used for non CDI environments. Creates new `TaskService` instance for every call to the factory. `TaskService` instance will be equipped with `JbpmJTATransactionManager` for transaction management, this is mandatory as it must participate in already active transaction if such exists.

Constructor Summary
`LocalTaskServiceFactory(org.kie.internal.runtime.manager.RuntimeEnvironment runtimeEnvironment)`

Method Summary
`void` | `close()`
`TaskService` | `newTaskService()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalTaskServiceFactory

    public LocalTaskServiceFactory(org.kie.internal.runtime.manager.RuntimeEnvironment runtimeEnvironment)

Method Detail

### newTaskService

    public TaskService newTaskService()

  Specified by:
    `newTaskService` in interface `org.kie.internal.runtime.manager.TaskServiceFactory`

### close

    public void close()

  Specified by:
    `close` in interface `org.kie.internal.runtime.manager.TaskServiceFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.